This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

Symfony -- app/console -- versions AND jobeet questions

This is for discussion, mainly on 1.x but there's some 2.x topics here too.

Symfony -- app/console -- versions AND jobeet questions

by explorador » Mon Jan 20, 2014 10:26 pm

Hi Symfony community,

After reading here and there I thought this was the place for my question, not the Symfony 1.x area, Symfony 2 or the jobeet area. It's a mix of things and so I thought it belongs to "General discussion". I took my time to research, mods please don't think it was an impulsive or lazy thread. I'm really researching but finding the answer has not been easy, and english is not my first language. After thinking about it perhaps the best approach is to post my questions and then the "WHY" so I can be specific and not appear as "vague". (Yes I have developed for desktop and web, even created my own framework)

  • #1 Symfony 2.x is way different than 1.4 right? not really compatible?
  • #2 Can't follow the instructions for the Jobeet Tutorial on Symfony 2.x so it seems
    • Just found an adaptation of Jobeet for 2. so i'm aiming for that
  • #3 How dead is Symfony 1.4? I read is no longer maintained
  • #4 What do you think about big company using 1.4 now? 2014?
  • #5 Would you advice to work there?

I received Jobeet as a preliminary test for a job, Symfony is almost unkown locally and there are very few developers, conclusion: I had no one to ask this, and I want to learn this framework. But being a test for a job, that's why my questions.

#1 Symfony 2.x is way different than 1.4 right? not really compatible?
Had too much trouble setting a local server with Symfony 1.4 for Jobeet. Refused to use the sandbox because I want more than that. Anyway I just finished my local server with Symfony 2.x with composer but it seems like two very diff paths Can anyone comment on that?

#2 Can't follow the instructions for the Jobeet Tutorial on Symfony 2.x so it seems
I'm finding that the commands used for Jobeet don't work here. It doesn't seem like diff locations for the executables, it's a new diff thing!!!. My natural conclusion is to build something else or finding a way to finish the jobeet with the 2.x version. I'm confused because, why a company would want such old version??? the test should be on 2.x unless they are sticking to the 1.4Can anyone comment on that?

    Just found an adaptation of Jobeet for 2. so i'm aiming for thatI'm thinking on instead, trying the jobeet tutorial for 2.x that I found here: http://www.ens.ro/2012/03/21/jobeet-tut ... -symfony2/ but, it would be funny to learn Symfony 2 only to be told to forget it and use the 1.4 ecosystem :)

#3 How dead is Symfony 1.4? I read is no longer maintained
It was long term support but is no longer maintained, it's adviced to jump to the new versions. IFI jump to 1.4 and learn, would that be useful for 2.x??? I read several comments about people having almost to learn again because it was very different. On the contrary, all the languages I know are almost a transparent evolution in continuity. Can you comment on this?

#4 What do you think about big company using 1.4 now? 2014?
I don't find jobeet / 1.4 that difficult, I was already on it on a previous local server but I'm wondering, would it be really useful to stick to it? I feel like taking a test for photoshop 6, Freehand or Windows XP. What do you think about a company sticking to Symfony 1.4????

And would you advice to work there?


I'm confused because if we were talking about WordPress or Drupal, I mean the same scenario, doesn't make any sense to test people on older versions if the latest are the better ones and safer, unless the company sticks to older versions, no longer maintained. Confused.... I will appreciate any help. Tried to be as specific and as short as possible :)
explorador
Junior Member
 
Posts: 2
Joined: Mon Jan 20, 2014 9:33 pm

Re: Symfony -- app/console -- versions AND jobeet questions

by explorador » Tue Jan 21, 2014 11:52 pm

I'm working with Symfony 2.3
the tutorial is the adaptation of Jobeet


and the question is posted on Symfony 1???
did you guys really read my thread??? :?
explorador
Junior Member
 
Posts: 2
Joined: Mon Jan 20, 2014 9:33 pm